Error in DADA2 denoise-ccs (return code -6)

Hello, I'm Hanbeen Kim.

I'm trying to analyze CCS data from Pacbio using QIIME2.

I got the error when running dada2 denoise-ccs.

The error code was:

An error was encountered while running DADA2 in R (return code -6), please inspect stdout and stderr to learn more.

The command I used was:

qiime dada2 denoise-ccs
--i-demultiplexed-seqs 220829_Input.qza
--p-min-len 1000
--p-max-len 1650
--o-table bac_table.qza
--o-representative-sequences bac_seq.qza
--o-denoising-stats bac_stats.qza
--p-front AGAGTTTGATCMTGGCTAG
--p-adapter TACGGYTACCTTGTTACGACTT
--p-n-threads 0

The debug for this error is here.

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.
Command: run_dada.R --input_directory /home/khb3850/qiime2/TMPDIR_data/qiime2/khb3850/data/c6e097f5-b2f8-4862-8f9e-7e066ec97516/data --output_path /home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/output.tsv.biom --output_track /home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/track.tsv --removed_primer_directory /home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/nop --filtered_directory /home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/filt --forward_primer AGAGTTTGATCMTGGCTAG --reverse_primer TACGGYTACCTTGTTACGACTT --max_mismatch 2 --indels False --truncation_length 0 --trim_left 0 --max_expected_errors 2.0 --truncation_quality_score 2 --min_length 1000 --max_length 1650 --pooling_method independent --chimera_method consensus --min_parental_fold 3.5 --allow_one_off False --num_threads 0 --learn_min_reads 1000000 --homopolymer_gap_penalty NULL --band_size 32
R version 4.1.3 (2022-03-10)
Loading required package: Rcpp
DADA2: 1.22.0 / Rcpp: 1.0.9 / RcppParallel: 5.1.5
1) Removing Primers
corrupted size vs. prev_size
Traceback (most recent call last):
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 410, in denoise_ccs
    run_commands([cmd])
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada.R', '--input_directory', '/home/khb3850/qiime2/TMPDIR_data/qiime2/khb3850/data/c6e097f5-b2f8-4862-8f9e-7e066ec97516/data', '--output_path', '/home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/output.tsv.biom', '--output_track', '/home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/track.tsv', '--removed_primer_directory', '/home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/nop', '--filtered_directory', '/home/khb3850/qiime2/TMPDIR_data/tmpwh554lit/filt', '--forward_primer', 'AGAGTTTGATCMTGGCTAG', '--reverse_primer', 'TACGGYTACCTTGTTACGACTT', '--max_mismatch', '2', '--indels', 'False', '--truncation_length', '0', '--trim_left', '0', '--max_expected_errors', '2.0', '--truncation_quality_score', '2', '--min_length', '1000', '--max_length', '1650', '--pooling_method', 'independent', '--chimera_method', 'consensus', '--min_parental_fold', '3.5', '--allow_one_off', 'False', '--num_threads', '0', '--learn_min_reads', '1000000', '--homopolymer_gap_penalty', 'NULL', '--band_size', '32']' died with <Signals.SIGABRT: 6>.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2cli/commands.py", line 339, in __call__
    results = action(**arguments)
  File "<decorator-gen-29>", line 2, in denoise_ccs
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 234, in bound_callable
    outputs = self._callable_executor_(scope, callable_args,
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 381, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/home/khb3850/anaconda3/envs/qiime2-2022.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 419, in denoise_ccs
    raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code -6), please inspect stdout and stderr to learn more.

Version of QIIME2:
QIIME2-2022.2 in wsl2 Ubuntu 22.04 and QIIME2-2022.8 in Ubuntu 22.04
Windows 10 Education
CPU: I7-9700K
RAM: 64.0 GB

Can you give me some recommendations?

Hi @khb3850,

Welcome to the :qiime2: forum!

This looks like an error you would get if your system’s scheduling software terminated your job. I’m not exactly sure what’s going on here, but this often happens when your commands exceed some resource allocation (time, memory, etc.).

If you need a quick fix, your best bet might be to try running on a different system. Unless your samples are very large, this could be a strong laptop or a desktop computer. If your machine was provided by your employer or university, it might be worth talking to your sysadmin about these issues. This will let you confirm that your job allocations are reasonable, and might get you some insight into how to interpret or correct the errors you’re running into.

Hope this helps!
Cheers :lizard: